import request from '@/utils/request'

// 查询3d模型列表
export function listModel(query) {
  return request({
    url: '/data/model/list',
    method: 'get',
    params: query
  })
}

// 查询3d模型详细
export function getModel(id) {
  return request({
    url: '/data/model/' + id,
    method: 'get'
  })
}

// 新增3d模型
export function addModel(data) {
  return request({
    url: '/data/model',
    method: 'post',
    data: data
  })
}

// 修改3d模型
export function updateModel(data) {
  return request({
    url: '/data/model',
    method: 'put',
    data: data
  })
}

// 删除3d模型
export function delModel(id) {
  return request({
    url: '/data/model/' + id,
    method: 'delete'
  })
}

export function getModelOption() {
  return request({
    url: '/data/model/getOption',
    method: 'get'
  })
}
